Owczarzy04SodiumCorrection20
Date: 2014-08-08

melting.ionCorrection.sodiumCorrections

## Class Owczarzy04SodiumCorrection20

- java.lang.Object
- - melting.ionCorrection.sodiumCorrections.Owczarzy04SodiumCorrection20

- All Implemented Interfaces:
    CorrectionMethod, NamedMethod

      public class Owczarzy04SodiumCorrection20
      extends java.lang.Object
      implements CorrectionMethod, NamedMethod

  This class represents the sodium correction model owc2004. It implements the CorrectionMethod interface. Richard Owczarzy, Yong You, Bernardo G. Moreira, Jeffrey A.Manthey, Lingyan Huang, Mark A. Behlke and Joseph A.Walder, "Effects of sodium ions on DNA duplex oligomers: Improved predictions of melting temperatures", Biochemistry, 2004, 43, 3537-3554.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Owczarzy04SodiumCorrection20()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThermoResult` | `correctMeltingResults(Environment environment)` This method is called to correct the computed melting temperature.
    `java.lang.String` | `getName()` Gets the full name of the method.
    `boolean` | `isApplicable(Environment environment)` Check if the environment chosen by the user is a applicable with the correction model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Owczarzy04SodiumCorrection20

          public Owczarzy04SodiumCorrection20()

  - ### Method Detail

    - #### isApplicable

          public boolean isApplicable(Environment environment)

      Description copied from interface: `CorrectionMethod`
      Check if the environment chosen by the user is a applicable with the correction model.
      Specified by:
        `isApplicable` in interface `CorrectionMethod`
      Returns:
        false if the correction method can't be used with the Environment. If the environment can make the results less reliable, a warning message will appear.

    - #### correctMeltingResults

          public ThermoResult correctMeltingResults(Environment environment)

      Description copied from interface: `CorrectionMethod`
      This method is called to correct the computed melting temperature.
      Specified by:
        `correctMeltingResults` in interface `CorrectionMethod`
      Returns:
        ThermoResult which contains the corrected results (enthalpy, entropy and melting temperature).

    - #### getName

          public java.lang.String getName()

      Gets the full name of the method.
      Specified by:
        `getName` in interface `NamedMethod`
      Returns:
        The full name of the method.